Package com.redhat.et.libguestfs

# Class Stat

java.lang.Object
com.redhat.et.libguestfs.Stat

public class Stat extends Object
Stat structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`atime`
`long`
`blksize`
`long`
`blocks`
`long`
`ctime`
`long`
`dev`
`long`
`gid`
`long`
`ino`
`long`
`mode`
`long`
`mtime`
`long`
`nlink`
`long`
`rdev`
`long`
`size`
`long`
`uid`

## Constructor Summary

Constructors
Constructor
Description
`Stat()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dev

public long dev

### ino

public long ino

### mode

public long mode

### nlink

public long nlink

### uid

public long uid

### gid

public long gid

### rdev

public long rdev

### size

public long size

### blksize

public long blksize

### blocks

public long blocks

### atime

public long atime

### mtime

public long mtime

### ctime

public long ctime

## Constructor Details

### Stat

public Stat()